\documentclass[xcolor=table,aspectratio=1610]{beamer}
\usetheme{KTU}
\input{conf/library.tex}
\input{../doc/conf/macros.tex}

\title{Kaunas university of technology}
\subtitle{Presentation}
\author{Pranas Žiaukas}
\date{2016-06-06}

\begin{document}

\begin{frame}[plain,t]
\usebeamertemplate{title background}

\begin{center}  
\hspace{-2.9cm}
\includegraphics[width=0.1\linewidth]{../doc/conf/ktu_white}
\end{center}

\hspace{-2.8cm}
\begin{minipage}{1.2\textwidth}
\centering
\textcolor{white}{\fontspec{Palatino Linotype}
{\Large \bfseries Kaunas university of technology \\ }
{\Large \bfseries Faculty of mathematics and natural sciences \\ [0.5cm]}
{\Large \bfseries \MakeUppercase{Chaotic processes and their applications in complex dynamical systems} \\ [.4cm]}
{\raggedleft {\bfseries Author}	\\ Pranas Žiaukas \\ [.2cm] }
{\raggedleft {\bfseries Supervisor}	\\ Prof.~Dr.~habil.~Minvydas Ragulskis \\ [.8cm] }
{\bfseries KAUNAS, 2016}}
\end{minipage}

\end{frame}



\begin{frame}
\frametitle{Presentation of master thesis}
\framesubtitle{Outline}
\tableofcontents
\end{frame}



%\section[MOTIVATION]{Motivation}
\begin{frame}
\frametitle{Problems and motivation}
\framesubtitle{Work strategy}
	
The aim of this thesis is to develop and propose some novel tools and techniques for the analysis of chaotic processes in complex dynamical systems.

\vspace{10pt}
The aim is achieved by accomplishing the following tasks:
\begin{itemize}
	\item Select a large family of different set-ups of attracting basins.
	\item Find the boundaries of attracting basins.
	\item Calculate the complexity of boundaries.
	\begin{itemize}
		\item Use known and validated techniques.
		\item Use novel proposed methods.
	\end{itemize}
	\item Compare the obtained results regarding complexity.
	\item Provide relevant examples of applications.
\end{itemize}

\end{frame}



\section[SYSTEM]{Newton's discrete dynamical system}
\subsection*{INTRODUCTION}
\begin{frame}
\frametitle{Newton's discrete dynamical system}
\framesubtitle{Introduction}
\vspace{10pt}

For an arbitrary complex polynomial $p(z)$, a single {\bfseries Newton's iteration} at a point $z \in \bC$ is defined as
\begin{equation*}
f_p(z) = z - \frac{p(z)}{p'(z)}.
\end{equation*}

\begin{figure}[ht]
	\centering
	\begin{subfigure}[b]{0.3\textwidth}
		\includegraphics[width=\textwidth]{../img/basin100_000i}
		\caption{$p(z) = z^3-1;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.3\textwidth}
		\includegraphics[width=\textwidth]{../img/basinP2}
		\caption{$p(z) = z^4-z;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.3\textwidth}
		\includegraphics[width=\textwidth]{../img/basinP5}
		\caption{$p(z)= z^5-1.$}
	\end{subfigure}
\end{figure}

\end{frame}



\subsection[GENERALIZATION]{Generalization}
\begin{frame}
\frametitle{Newton's discrete dynamical system}
\framesubtitle{Generalization}
	
\begin{minipage}[t]{.5\textwidth}
\vspace{1pt}
\centering
Control coefficient $\alpha \in \bC$,
\vspace{-10pt}
\begin{equation*} \label{eq:rNDDS}
f_{p, \alpha}(z) = z - \alpha \frac{p(z)}{p'(z)}.
\end{equation*}
\vspace{-15pt}
\begin{figure}[ht]
	\centering
	\includegraphics[width=.83\textwidth]{../img/basinBig100_000i}
	\vspace{-6pt}
	\caption{$\quad p(z) = z^3-1;\ \alpha = 1;$}
\end{figure}
\end{minipage}%
\begin{minipage}[t]{.5\textwidth}
\begin{figure}[ht]
	\centering
	\begin{subfigure}[b]{.52\textwidth}
		\includegraphics[width=1\textwidth]{../img/basin050_000i}
		\vspace{-5pt}
		\caption{ $\quad \alpha = 0.5;$ }
	\end{subfigure}
	\begin{subfigure}[b]{.52\textwidth}
		\includegraphics[width=1\textwidth]{../img/basin200_000i}
		\vspace{-5pt}
		\caption{$\quad \alpha = 2.$}
	\end{subfigure}
\end{figure}
\end{minipage}
	
\end{frame}



\subsection[PROPERTIES]{Properties}
\begin{frame}
\frametitle{Newton's discrete dynamical system}
\framesubtitle{Properties}
	
\begin{itemize}
	\item Basin boundaries $\cBo$ are fractal and Wada.
	\item Convergence of $z_0 \in \cBo$ cannot be easily predicted.
	%\item Hankel ranks are substantially higher in the vicinities of $\cBo$.
\end{itemize}
\vspace{-5pt}
\begin{figure}[ht]
	\centering
	\includegraphics[width=.57\textwidth]{../img/basinBigH}
		\vspace{-6pt}
		\caption{Hankel ranks of the system, using standard parameters.}
\end{figure}
	
\end{frame}



\section[COMPLEXITY]{Complexity of basin boundaries}
\subsection[FRACTAL DIMENSION]{Fractal dimension}
\begin{frame}
\frametitle{Fractal dimension}
\framesubtitle{Concept}
	
{\bfseries Fractal dimension} $D$ is a characteristic of complexity comparing how detail in
a pattern changes with the scale at which it is being measured,	
\begin{equation*}
D(\cF) = \lim_{\varepsilon \to 0} \frac {\log N(\varepsilon)}{\log (1/\varepsilon)}
\approx \frac{1}{|S|} \sum_{\varepsilon \in S} \frac{\log N(\varepsilon)}{\log (1/\varepsilon)}.
\end{equation*}

$N(\varepsilon)$ is the minimal number of boxes of side length $\varepsilon$ that are needed to cover a given (closed and compact) set $\cF$.

\end{frame}



\begin{frame}
\frametitle{Fractal dimension}
\framesubtitle{Algorithm}

%\begin{equation*}
%D(\cF) \approx \frac{
%	|S| \sum_{\varepsilon}{\log N \log (1/\varepsilon)} - 
%	\left( \sum_{\varepsilon}{\log N} \right) \cdot
%	\left( \sum_{\varepsilon}{\log (1/\varepsilon)} \right)
%}{
%|S| \sum_{\varepsilon}{\log^2 (1/\varepsilon)} -
%(\sum_{\varepsilon}{\log (1/\varepsilon)})^2}.
%\end{equation*}

\vspace{10pt}
\begin{figure}[ht]
	\centering
	\caption{Classical box counting algorithm.}
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=\textwidth]{../img/boxCountGrid40}
		\caption{$\varepsilon = 0.1;\ N(\varepsilon) = 145;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=\textwidth]{../img/boxCountGrid20}
		\caption{$\varepsilon = 0.05;\ N(\varepsilon) = 355.$}
	\end{subfigure}
\end{figure}

\end{frame}



\subsection[WADA MEASURE]{Wada measure}
\begin{frame}
\frametitle{Wada measure}
\framesubtitle{Concept}

\vspace{10pt}
{\bfseries Wada measure} $W$ is a characteristic of intrinsic entanglement between the basin boundaries at all scales,
\begin{equation*}
W(\cF) = \lim_{\varepsilon \to 0} \frac{N_3(\varepsilon)}{N_2(\varepsilon)} 
\approx \frac{1}{|S|} \sum_{\varepsilon \in S} \frac{N_3(\varepsilon)}{N_2(\varepsilon)}.
\end{equation*}

$N_k (\varepsilon)$ is the minimal number of boxes that contain elements from at least $k$ distinct basins of attraction.

\begin{figure}[ht]
	\begin{subfigure}[b]{.7\textwidth}
		\hspace{-70pt}
		\includegraphics[width=1.5\textwidth, height=.1\textwidth]{../img/wada0}
	\end{subfigure} 
	\begin{subfigure}[b]{.7\textwidth}
		\hspace{-70pt}
		\includegraphics[width=1.5\textwidth, height=.1\textwidth]{../img/wada1}
	\end{subfigure}
	\begin{subfigure}[b]{.7\textwidth}
		\hspace{-70pt}
		\includegraphics[width=1.5\textwidth, height=.1\textwidth]{../img/wada2}
	\end{subfigure}
	\begin{subfigure}[b]{.7\textwidth}
		\hspace{-70pt}
		\includegraphics[width=1.5\textwidth, height=.1\textwidth]{../img/wada3}
	\end{subfigure}
	\caption{Construction of Wada basin boundaries.}
\end{figure}

\end{frame}



\begin{frame}
\frametitle{Wada measure}
\framesubtitle{Algorithm}

%\begin{equation*}
%W(\cF) \approx \frac{1}{|S|} \sum_{\varepsilon \in S} \frac{N_3(\varepsilon)}{N_2(\varepsilon)}.
%\end{equation*}

\vspace{10pt}
\begin{figure}[ht]
	\centering
	\caption{Modified box counting algorithm.}
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=\textwidth]{../img/boxCount40}
		\caption{$\varepsilon = 0.1;\ N_2 = 145;  N_3 = 143;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=\textwidth]{../img/boxCount20}
		\caption{$\varepsilon = 0.05;\ N_2 = 355;  N_3 = 342.$}
	\end{subfigure}
\end{figure}

\end{frame}



\section[ANALYSIS]{Analysis of characteristics}
\subsection*{SCOPE}
\begin{frame}
\frametitle{Scope of parameters}
\framesubtitle{Overview}

\vspace{10pt}
\begin{itemize}
	\item Initial conditions $z_0 \in \bC_1 = [-1,1]^2$. 
	\begin{itemize}
		\item $|\Dez_0| = 0.0025$ distance apart.
		\item $801 \times 801$-sized grid of possible values.
	\end{itemize}
	\item Control parameters $\alpha  \in \bC_1$. 
	\begin{itemize}
		\item $|\Delta \alpha| = 0.01$ distance apart.
		\item $201 \times 201$-sized grid of possible values.
	\end{itemize}
	\item Polynomial $p(z) = z^3-1$.
	\item Length of orbits is $n=30$.
	\begin{itemize}
		\item Simulated trajectories $(z_0,\ z_1,\ z_2,\ \ldots,\ z_{30})$.
		\item After $z_{30}$, the nearest attractor $\cA$ is assigned.
	\end{itemize}
\end{itemize}
\vspace{-8pt}
\begin{figure}[ht]
	\centering
	\includegraphics[width = .7\textwidth]{../img/orbit}
\end{figure}
	
\end{frame}



\subsection[DIMENSIONALITY]{$D$ characteristic}
\begin{frame}
\frametitle{Fractal dimension}
\framesubtitle{Cases}

\vspace{10pt}
\begin{itemize}
	\item Minimum $D = 1$, in a trivial case $\alpha = 0$. 
	\item Maximum $D = 1.68$ for very complicated structures.
\end{itemize}

\begin{figure}[ht]
	\centering
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=.95\textwidth]{../img/basin-55_060i}
		\caption{$\quad \alpha = -0.55+0.6i;$ \\ $\qquad D(\cF_\alpha)=1.21;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=.95\textwidth]{../img/basin050_090i}
		\caption{$\quad \alpha = 0.5+0.9i;$ \\ $\qquad D(\cF_\alpha)=1.63.$}
	\end{subfigure}
\end{figure}

\end{frame}



\begin{frame}
\frametitle{Fractal dimension}
\framesubtitle{Results}

\begin{figure}[ht]
	\centering
	\includegraphics[width=.65\textwidth]{../img/planeD}
	\vspace{-5pt}
	\caption{Fractal dimension $D(\cF_\alpha)$ in the parameter space $\alpha \in \bC_1$.}
\end{figure}

\end{frame}



\subsection[MEASURE]{$W$ characteristic}
\begin{frame}
\frametitle{Wada measure}
\framesubtitle{Cases}

\vspace{10pt}
\begin{itemize}
	\item Minimum $W = 0.03$ for basins with little entanglement. 
	\item Maximum $W = 0.99$ for very complicated structures.
\end{itemize}

\begin{figure}[ht]
	\centering
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=.95\textwidth]{../img/basin-85_053i}
		\caption{$\quad \alpha = -0.85+0.53i;$ \\ $\qquad W(\cF_\alpha)=0.28;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.45\textwidth}
		\includegraphics[width=.95\textwidth]{../img/basin010_060i}
		\caption{$\quad \alpha = 0.1+0.6i;$ \\ $\qquad W(\cF_\alpha)=0.88.$}
	\end{subfigure}
\end{figure}

\end{frame}



\begin{frame}
\frametitle{Wada measure}
\framesubtitle{Results}

\begin{figure}[ht]
	\centering
	\includegraphics[width=.65\textwidth]{../img/planeW}
	\vspace{-5pt}
	\caption{Wada measure $W(\cF_\alpha)$ in the parameter space $\alpha \in \bC_1$.}
\end{figure}

\end{frame}



\subsection[RELATION]{Relation}
\begin{frame}
\frametitle{Relation between characteristics}
\framesubtitle{Correspondence}

\begin{itemize}
	\item Complex relations between characteristics.
	\item No one-to-one correspondence between $D$ and $W$.
\end{itemize}

\begin{figure}
	\centering
	\includegraphics[width=.9\textwidth]{../img/cumulativeCW}
	\caption{Minimum and maximum Fractal dimensions for a fixed Wada measure $W$.}
\end{figure}

\end{frame}



\begin{frame}
\frametitle{Relation between characteristics}
\framesubtitle{Tendencies}

\vspace{10pt}
\begin{itemize}
	\item Linear relationship. Pearson's $\rho_{D,W} = 0.82$.
	\item Monotonic relationship. Spearman's $r_{D,W} = 0.87$.
\end{itemize}

\begin{figure}[ht]
	\centering
	\includegraphics[width=.85\textwidth]{../img/scatterDW}
	\vspace{-7pt}
	\caption{Fractal dimensions $D$ and Wada measures $W$ for all parameters $\alpha \in \bC_1$.}
\end{figure}

\end{frame}



\section[APPLICATIONS]{Applications}
\subsection[UNCERTAINTY]{Evaluation of uncertainty}
\begin{frame}
\frametitle{Evaluation of uncertainty}
\framesubtitle{Example}

\vspace{5pt}
\begin{itemize}
	\item Initial seeds around $z_0 = -0.793$.
	\item Fluctuations within radius $|\Dez_0| = 0.01$.
	\item Total simulations $s = 795$.
	\item Control parameter around $\alpha = 1$.
\end{itemize}

\begin{figure}[ht]
	\centering
	\begin{subfigure}[b]{0.32\textwidth}
		\includegraphics[width=\textwidth]{../img/uncertainty097_000i}
		\caption{$\alpha = 0.97;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.32\textwidth}
		\includegraphics[width=\textwidth]{../img/uncertainty100_000i}
		\caption{$\alpha = 1;$}
	\end{subfigure}
	\begin{subfigure}[b]{0.32\textwidth}
		\includegraphics[width=\textwidth]{../img/uncertainty100_005i}
		\caption{$\alpha = 1 + 0.005i.$}
	\end{subfigure}
\end{figure}

\end{frame}



\subsection[CONTROL]{Control of the system}
\begin{frame}
\frametitle{Control of the system}
\framesubtitle{Example}

\vspace{10pt}
\begin{itemize}
	\item Initial seeds around $z_0 = -0.793$.
	\item Fluctuations within radius $|\Dez_0| = 0.001$.
\end{itemize}

\begin{figure}[ht]
	\begin{subfigure}[b]{\textwidth}
		\hspace{40pt}
		\includegraphics[width=.71\textwidth, trim = {0cm .5cm 0cm 0cm}, clip]{../img/trajectories099_000i}
		\vspace{-5pt}
		\caption{$\alpha = 0.99;$}
	\end{subfigure}
	\begin{subfigure}[b]{\textwidth}
		\hspace{40pt}
		\includegraphics[width=.71\textwidth, trim = {0cm .5cm 0cm 0cm}, clip]{../img/trajectories100_000i}
		\vspace{-5pt}
		\caption{$\alpha = 1.$}
	\end{subfigure}
\end{figure}

\end{frame}



\section*{CONCLUSIONS}
\begin{frame}	
\frametitle{Conclusions}
\framesubtitle{Final thoughts}

\begin{itemize}
	\item Relaxed Newton's discrete dynamical system exhibits rich dynamics and a high variety of set-ups of attracting basins.
	\item Fractal dimension is found to be in range \\
		$D(\cF_\alpha) \in [1, 1.68]$, when $\alpha \in \bC_1$. 
	\item Wada measure is found to be in range \\
		$W(\cF_\alpha) \in [0.03, 0.99]$, when $\alpha \in \bC_1$. 
	\item There exists a non-trivial relation between $D$ and $W$. \\
	Pearson's correlation coefficient $\rho = 0.82$. \\
	Spearman's correlation coefficient $r = 0.87$.
	%\item Slight perturbations to the control parameter $\alpha$ may cause extreme changes in the long-term behavior of trajectories.
	%In one test case the areas of basins change from $17\%/17\%/66\%$ to $33\%/59\%/8\%$. \\
	%In another test case the limit-values diverge from a single attractor to all three attractors.
	\item In order to better characterize a dynamical system, Wada measure $W$ should be used in pair with fractal dimension $D$.
	\item The research is under consideration for publication in an international scientific journal "Nonlinear dynamics".
\end{itemize}

\end{frame}


\ThankYouFrame

\end{document}